## scilab 6.1.1+dfsg2

=== scilab/modules/call_scilab/tests/nonreg_tests/Makefile ===
#=============================================================================
#Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
#Copyright (C) 2015 - Scilab-Enterprises - Cedric Delamarre
#This file is distributed under the same license as the Scilab package.
#=============================================================================

# these two environment variables must be defined
# export SCI=~/your/install/path/share/scilab
# export LD_LIBRARY_PATH=~/your/install/path/lib/scilab/:~/your/install/path/lib/thirdparty/

CC=gcc
EXEC=	bug_7601 \
		bug_7602 \
		bug_8115 \
		bug_8830

SRC= $(EXEC:=.c)

CFLAGS=	-W -Wall -Werror=implicit-function-declaration \
		-I../../../../../../include/scilab/

LDFLAGS=	-L../../../../../../lib/scilab/ \
			-L../../../../../../lib/thirdparty/ \
			-lscicall_scilab \
			-lscilocalization \
			-lstdc++ \
			-lscilab-cli


all: $(EXEC)


bug_7601: bug_7601.o
	$(CC) -o $@ $^ $(LDFLAGS)

bug_7602: bug_7602.o
	$(CC) -o $@ $^ $(LDFLAGS)

bug_8115: bug_8115.o
	$(CC) -o $@ $^ $(LDFLAGS) -lsciast

bug_8830: bug_8830.o
	$(CC) -o $@ $^ $(LDFLAGS)


%.o: %.c
	$(CC) -o $@ -c $< $(CFLAGS)

.PHONY: clean

clean:
	rm -rf *.o
	rm -rf $(EXEC)

=== scilab/modules/functions/scripts/buildmacros/Makefile ===
SHELL = /bin/sh

#include ../Path.incl
#include ../Makefile.incl

#CFLAGS = $(CC_OPTIONS) 

all:: 
	../../../../.libs/lt-scilex -nwni -ns -f buildmacros.sce

release : 
	../bin/scilab -nwni -ns -f buildmacros.sce
distclean::

=== debian/changelog ===
scilab (6.1.1+dfsg2-7) unstable; urgency=medium

  * Building for Architecture: any as Bug #550243 should not show up now 
  * Rewriting d/watch and d/u/metadata for the new Scilab repository on Gitlab

 -- Pierre Gruet <pgt@debian.org>  Thu, 22 Jun 2023 17:23:57 +0200

scilab (6.1.1+dfsg2-7~exp0) experimental; urgency=medium

  * debian/control:
    - Removing unneeded build-dependencies
    - Sorting and aligning dependencies in debian/control
    - Removing obsolete packages from Depends, Recommends and Suggests fields
      in debian/control
    - Depending on libeclipse-jdt-core-java instead of old libecj-java
    - Build-depending on libgl-dev instead of obsolete libgl1-mesa-dev
  * Bash completion files:
    - Removing legacy conffile in /etc/bash_completion.d using maintscripts
    - Installing the bash-completion file through dh_bash-completion
    - Correcting the syntax of bash complete with -o flag
  * Depending on lucene8 instead of lucene4.10
  * Setting the classpath of the built jar properly
  * Adding a Lintian override for an innocuous file with very-long-lines
  * Update Lintian override info to new format:
    - debian/scilab-minimal-bin.lintian-overrides: line 2
    - debian/scilab-full-bin.lintian-overrides: line 2

 -- Pierre Gruet <pgt@debian.org>  Sat, 27 May 2023 07:41:39 +0200

scilab (6.1.1+dfsg2-6) unstable; urgency=medium

  * Adding another --add-opens clause to the scilab invocation to avoid the
    Exception at GUI start (Closes: #1033496)
  * Adding myself as uploader

 -- Pierre Gruet <pgt@debian.org>  Sat, 06 May 2023 14:01:56 +0200

scilab (6.1.1+dfsg2-6~exp1) experimental; urgency=medium

  * Adding a binNMUable versioned dependency of scilab on scilab-full-bin

 -- Pierre Gruet <pgt@debian.org>  Sun, 23 Apr 2023 10:42:22 +0200

scilab (6.1.1+dfsg2-6~exp0) experimental; urgency=medium

  * Team upload
  * Rebuild against libjogl2-java version 2.4.0+dfsg, which changed the name of
    the .so file shipped in libjogl2-jni
  * Removing the unneeded build-dependency on dpkg-dev
  * Adding one more --add-opens in the invocation to work with openjdk-17

 -- Pierre Gruet <pgt@debian.org>  Sat, 22 Apr 2023 17:53:23 +0200

scilab (6.1.1+dfsg2-5) unstable; urgency=medium

  * Team upload
  * Raising Standards version to 4.6.2 (no change)
  * Adding missing dependencies on libfreehep-graphicsio-java and
    libfreehep-util-java
  * Fixing the FTBFS occurring during the doc build
  * Enabling starting with OpenJDK 17 (Closes: #1012099)
  * Selecting unversioned jars instead of versioned ones in the configure phase
    (Closes: #1030205)
  * Refreshing patches
  * Removing unneeded older-than versioned dependencies
  * Update lintian override info to new format:
    + debian/source/lintian-overrides: line 2, 4
    + debian/scilab-minimal-bin.lintian-overrides: line 4
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Repository-Browse.
  * Fix day-of-week for changelog entry 5.0.3-1.

 -- Pierre Gruet <pgt@debian.org>  Sat, 11 Mar 2023 16:23:07 +0100

scilab (6.1.1+dfsg2-4) unstable; urgency=medium

  * Add patch to disambiguate pause (Closes: #1017283).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Aug 2022 11:55:44 +0200

scilab (6.1.1+dfsg2-3) unstable; urgency=medium

  * Bump standards-version to 4.6.0.
  * Fix d/watch.
  * Fix a lintian override.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 11 Nov 2021 16:32:02 +0100

scilab (6.1.1+dfsg2-2) unstable; urgency=medium

  [ Gilles Filippini ]
  * New patch hdf5-1.10.7.patch to disable H5_NO_DEPRECATED_SYMBOLS which
    causes FTBFS against HDF5 1.10.7 (Closes: #994109)

  [ Julien Puydt ]
  * Document where each patch has been forwarded upstream.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 15 Sep 2021 16:08:00 +0200

scilab (6.1.1+dfsg2-1) unstable; urgency=medium

  * Drop even more files from upstream's archive (now dfsg2),
    and document it in d/copyright.
  * New upstream release 6.1.1.
  * Document the manual pages have been forwarded upstream.
  * Refresh patches, drop two now useless.
  * Add find_external_libintl_jar.patch since the tarball doesn't
    have that file anymore.
  * Add patch from S.Glondu for OCaml 4.11.
  * Drop around_atlas_947827.patch (bug closed).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 10 Sep 2021 07:02:44 +0200

=== debian/control ===
Source: scilab
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Julien Puydt <jpuydt@debian.org>,
           Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               bash-completion,
               chrpath,
               fakeroot,
               gfortran,
               javahelper,
               libcurl4-openssl-dev,
               libnum-ocaml-dev,
               libpcre3-dev,
               libxml2-dev,
               pkgconf,
               tcl-dev,
               time,
               tk-dev,
# numerical libraries
               libarpack2-dev,
               libblas-dev | libatlas-base-dev,
               libeigen3-dev,
               liblapack-dev,
# Java deps
               ant,
               default-jdk,
               libactivation-java,
               libflexdock-java,
               libgl-dev,
               libjaxb-java,
               libjgoodies-looks-java,
               libjogl2-java (>= 2.4.0+dfsg),
               libjrosetta-java,
               liblucene8-java,
               libskinlf-java,
# graphic
               libfreehep-graphicsio-emf-java,
               libfreehep-graphicsio-java,
               libfreehep-graphics2d-java,
               libfreehep-util-java,
# Documentation
               docbook-xsl,
               fop,
               javahelp2,
               libavalon-framework-java,
               libbatik-java,
               libjeuclid-core-java,
               libsaxon-java,
               libxml-commons-external-java,
# Optional Scilab features
               libfftw3-dev,
               libmatio-dev (>= 1.5.18),
               libsuitesparse-dev,
# latex rendering
               libjlatexmath-fop-java,
               libjlatexmath-java,
# Xcos
               libhdf5-dev,
               libjgraphx-java,
# MPI
               mpi-default-dev,
# Java binding
               libeclipse-jdt-core-java,
# Unitary testing
               ant-optional <!nocheck>,
               junit4 <!nocheck>,
               libcobertura-java <!nocheck>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.scilab.org
Vcs-Git: https://salsa.debian.org/science-team/scilab.git
Vcs-Browser: https://salsa.debian.org/science-team/scilab

Package: scilab-cli
Architecture: all
Depends: scilab-data (= ${binary:Version}),
         scilab-include (>= ${source:Version}),
         scilab-minimal-bin (>= ${source:Version}),
         ${misc:Depends}
# scilab-include is installed by default since it is widely used by many
# toolboxes
Suggests: gcc,
          gfortran
# For the dynamic link
Description: Scientific software package - Command Line Interpreter
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package provides Scilab as Command Line Interpreter (CLI). This package
 provides Scilab as a computing engine or script interpreter.
 Please install the package "scilab" to have all features.

Package: scilab
Architecture: all
Depends: scilab-cli (>= ${source:Version}),
         scilab-full-bin (>= ${binary:Version}),
         scilab-full-bin (<< ${binary:Version}.1~),
         ${misc:Depends}
Recommends: scilab-doc (= ${binary:Version}),
Suggests: scilab-doc-fr (= ${binary:Version}),
          scilab-doc-ja (= ${binary:Version}),
          scilab-doc-pt-br (= ${binary:Version})
Description: Scientific software package for numerical computations
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for control, signal
 processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 For a minimum version of scilab, install package "scilab-cli".

Package: scilab-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (data files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the data files for Scilab.


Package: scilab-include
Architecture: any
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (include files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the include files for Scilab (used in the dynamic link).


Package: scilab-minimal-bin
Architecture: any
Depends: default-jre-headless,
         scilab-data (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: scilab-bin,
          scilab-full-bin (<< 5.4.1-3)
Breaks: scilab-full-bin (<< 5.4.1-3)
Description: Scientific software package for numerical computations (minimal binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.
 All mandatory libraries for scilab-cli are shipped in this package.
 Please install the package "scilab" to have all features.

Package: scilab-full-bin
Architecture: any
Depends: bwidget,
         default-jre,
         docbook-xsl,
         fop,
         javahelp2,
         libactivation-java,
         libavalon-framework-java,
         libbatik-java,
         libeclipse-jdt-core-java,
         libflexdock-java,
         libfreehep-graphicsio-emf-java,
         libfreehep-graphicsio-java,
         libfreehep-graphics2d-java,
         libfreehep-util-java,
         libjaxb-java,
         libjeuclid-core-java,
         libjgoodies-looks-java,
         libjgraphx-java,
         libjlatexmath-fop-java,
         libjlatexmath-java,
         libjogl2-java (>= 2.4.0+dfsg),
         libjrosetta-java,
         liblucene8-java,
         libsaxon-java,
         libskinlf-java,
         scilab-minimal-bin (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: libscilab2-java (<< 5.4.1-4),
          scilab (<< 5.0),
          scilab-bin,
          scilab-minimal-bin (<< 5.4.1-3)
Breaks: libscilab2-java (<< 5.4.1-4),
        scilab-minimal-bin (<< 5.4.1-3)
Description: Scientific software package for numerical computations (all binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 .
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.

Package: scilab-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: Scientific software package (English documentations)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains demos, examples and help pages.

Package: scilab-doc-fr
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: scilab-doc,
         ${misc:Depends}
Description: Scientific software package (French documentation)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains help pages in French.

Package: scilab-doc-pt-br
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: scilab-doc,
         ${misc:Depends}
Description: Scientific software package (Brazilian Portuguese documentation)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CCACHE_DIR := $(CURDIR)/debian/ccache

CONFIGURE_ARGS += --prefix=/usr \
	--with-fftw \
	--with-umfpack --enable-build-localization \
	--with-install-help-xml --enable-build-help \
	--with-tcl-library=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--enable-mpi --disable-static-system-lib

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  CONFIGURE_ARGS += --with-hdf5-include=/usr/include/hdf5/serial \
	        --with-hdf5-library=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

# requires ocamlopt
ifneq (,$(filter $(DEB_HOST_ARCH),arm64 armel ppc64el mips mipsel s390x sparc))
  CONFIGURE_ARGS += --without-modelica
endif

ifneq (,$(findstring $(DEB_HOST_ARCH),amd64))
	DOC=1
else
	DOC=0
endif

%:
	dh $@ --sourcedirectory=scilab --with bash-completion,javahelper

# Do not run libtoolize because it can mess up with Scilab library
override_dh_autoreconf:
	cd scilab && autoreconf

override_dh_auto_configure:
	cd scilab && ./configure $(CONFIGURE_ARGS)

override_dh_auto_build:
ifeq ($(DOC), 1)
	cd scilab && make all doc
else
	cd scilab && make all
endif

# doesn't work
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs scilab/CHANGES.md

override_dh_auto_install:
	make -C scilab install install-data install-html \
		prefix=$(CURDIR)/debian/tmp/usr \
		bindir=$(CURDIR)/debian/tmp/usr/bin \
		datadir=$(CURDIR)/debian/tmp/usr/share/ \
		sharedir=$(CURDIR)/debian/tmp/usr/share/ \
		docdir=$(CURDIR)/debian/tmp/usr/share/doc/

# Remove empty directories but not files (#907607: scilab-cli doesn't start)
	find debian/tmp/usr/share/scilab -type d -empty -delete
# Remove la files
	find debian/tmp/usr/lib/ -name '*.la' -delete
# Remove deps files
	rm -rf `find debian/tmp -type d -name .deps`
# Remove extra license files to make lintian happier
# See debian/copyright for them
	find debian/tmp/usr/share/scilab -type f -name "*license.txt" -delete
# Remove all readme files and the changelog (it is in /usr/share/doc/scilab/)
	find debian/tmp/usr/share/scilab -type f -iname "readme*" -delete
	find debian/tmp/usr/share/scilab -type f -name CHANGES.md -delete
# Remove COPYING file
	rm debian/tmp/usr/share/scilab/COPYING
# Remove Visual project files
	find debian/tmp/usr/share/scilab -name "*.sln" -delete
# Remove a font file which is already shipped in another package
	find debian/tmp/usr/share/scilab -name "*.ttf" -delete
# Remove dll files
	find debian/tmp -name "*.dll" -delete
	find debian/tmp -name "*.dll *" -delete
# Remove strange debug files
	find debian/tmp -name .build-id -type d -exec rm -r {} \;
# Remove git files
	find debian/tmp -name .gitignore -delete

# Remove dead code
	rm -rf debian/tmp/usr/share/scilab/modules/helptools/bin debian/tmp/usr/share/scilab/modules/tclsci/demos/tk/timer debian/tmp/usr/share/scilab/modules/intersci/examples/sedprov debian/tmp/usr/share/scilab/modules/macros

	mkdir -p $(CURDIR)/debian/scilab-cli/usr/share/icons/
	cp -R debian/tmp/usr/share/icons/hicolor/ $(CURDIR)/debian/scilab-cli/usr/share/icons/

# Management of the tests, help and demos
	for dir in debian/tmp/usr/share/scilab/modules/*; do \
		moduleName=`echo $$dir|sed -e "s|.*/\(.*\)|\1|"`; \
		target=$(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/$$moduleName; \
		target_test=$(CURDIR)/debian/scilab-test/usr/share/scilab/modules/$$moduleName; \
		# Move tests in the right package; \
		if test -d $$dir/tests; then \
			mkdir -p $$target_test; \
			mv $$dir/tests $$target_test; \
		fi; \
		# Move the help in the right package; \
		if test -d $$dir/help/en_US; then \
			mkdir -p $$target/help; \
			mv $$dir/help/en_US $$target/help; \
		fi; \
		if test -d $$dir/demos; then \
			mv $$dir/demos $$target; \
		fi; \
		if test -d $$dir/help/fr_FR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/fr_FR $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/pt_BR; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/pt_BR $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
		if test -d $$dir/help/ja_JP; then \
			mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help; \
			mv $$dir/help/ja_JP $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/$$moduleName/help/; \
		fi; \
	done
	# Remove empty directories
	find debian/tmp/usr/share/scilab -type d -empty -delete

ifeq ($(DOC), 1)
	mkdir $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/
	EN_US_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_en_US_help.jar; \
	mv $$EN_US_DOC $(CURDIR)/debian/scilab-doc/usr/share/scilab/modules/helptools/jar/

	mkdir $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/
	FR_FR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_fr_FR_help.jar; \
	mv $$FR_FR_DOC $(CURDIR)/debian/scilab-doc-fr/usr/share/scilab/modules/helptools/jar/

	mkdir $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/
	PT_BR_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_pt_BR_help.jar; \
	mv $$PT_BR_DOC $(CURDIR)/debian/scilab-doc-pt-br/usr/share/scilab/modules/helptools/jar/

	mkdir -p $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/
	JA_DOC=$(CURDIR)/debian/tmp/usr/share/scilab/modules/helptools/jar/scilab_ja_JP_help.jar; \
	mv $$JA_DOC $(CURDIR)/debian/scilab-doc-ja/usr/share/scilab/modules/helptools/jar/
endif

	mkdir -p $(CURDIR)/debian/scilab-minimal-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-cli-bin $(CURDIR)/debian/scilab-minimal-bin/usr/bin/

# Move binaries
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/bin
	mv $(CURDIR)/debian/tmp/usr/bin/scilab-bin $(CURDIR)/debian/scilab-full-bin/usr/bin/
	if test -s $(CURDIR)/debian/tmp/usr/bin/modelicac; then \
		chrpath -d $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat; \
		mv $(CURDIR)/debian/tmp/usr/bin/modelicac $(CURDIR)/debian/tmp/usr/bin/XML2Modelica $(CURDIR)/debian/tmp/usr/bin/modelicat $(CURDIR)/debian/scilab-full-bin/usr/bin/; \
	fi
# Move the javasci2 lib
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/share/java/
	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
	cp debian/tmp/usr/share/scilab/modules/javasci/jar/org.scilab.modules.javasci.jar $(CURDIR)/debian/scilab-full-bin/usr/share/java/
	mv debian/tmp/usr/lib/scilab/libjavasci2.so*  $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/

override_dh_dwz:

## scilab 2024.0.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 export CCACHE_DIR := $(CURDIR)/debian/ccache
 
 CONFIGURE_ARGS += --prefix=/usr \
+	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--with-fftw \
 	--with-umfpack --enable-build-localization \
 	--with-install-help-xml --enable-build-help \
@@ -23,9 +24,13 @@
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH),amd64))
-	DOC=1
+    ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+        DOC=1
+    else
+        DOC=0
+    endif
 else
-	DOC=0
+    DOC=0
 endif
 
 %:
@@ -33,6 +38,10 @@
 
 # Do not run libtoolize because it can mess up with Scilab library
 override_dh_autoreconf:
+	# First, making backups of some files that will get changed during the build.
+	for F in $$(find . -name "Makefile.in") scilab/aclocal.m4 scilab/configure scilab/etc/Info.plist.in scilab/modules/core/includes/machine.h.in scilab/modules/core/src/cpp/banner.cpp scilab/modules/windows_tools/src/c/scilab_windows/console.c; do \
+	    cp $$F $${F}.save ;\
+	done
 	cd scilab && autoreconf
 
 override_dh_auto_configure:
@@ -55,9 +64,10 @@
 	make -C scilab install install-data install-html \
 		prefix=$(CURDIR)/debian/tmp/usr \
 		bindir=$(CURDIR)/debian/tmp/usr/bin \
-		datadir=$(CURDIR)/debian/tmp/usr/share/ \
-		sharedir=$(CURDIR)/debian/tmp/usr/share/ \
-		docdir=$(CURDIR)/debian/tmp/usr/share/doc/
+		libdir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
+		datadir=$(CURDIR)/debian/tmp/usr/share \
+		sharedir=$(CURDIR)/debian/tmp/usr/share \
+		docdir=$(CURDIR)/debian/tmp/usr/share/doc
 
 # Remove empty directories but not files (#907607: scilab-cli doesn't start)
 	find debian/tmp/usr/share/scilab -type d -empty -delete
@@ -157,6 +167,15 @@
 	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/share/java/
 	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
 	cp debian/tmp/usr/share/scilab/modules/javasci/jar/org.scilab.modules.javasci.jar $(CURDIR)/debian/scilab-full-bin/usr/share/java/
-	mv debian/tmp/usr/lib/scilab/libjavasci2.so*  $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
+	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/scilab/libjavasci2.so*  $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
 
-override_dh_dwz:
+execute_after_dh_install-arch:
+	# Hiding the build path written in /usr/include/scilab/machine.h
+	sed -i 's/\(ffile-prefix-map=\).*\(=\.\)/\1<builddir>\2/' debian/scilab-include/usr/include/scilab/machine.h
+
+execute_after_dh_install-indep:
+	# Converting encoding to UTF-8 for some files
+	for F in usr/share/scilab/contrib/toolbox_skeleton/toolbox_skeleton_redist.iss usr/share/scilab/modules/graphics/tcl/ged/Axes.tcl; do \
+	    iconv -f ISO_8859-1 debian/scilab-data/$$F > debian/scilab-data/$$F.temp;\
+	    mv debian/scilab-data/$$F.temp debian/scilab-data/$$F;\
+	done

## scilab 2024.0.0+dfsg

=== DESCRIPTION ===
Toolbox: toolbox_1V6

Title: Toolbox Test 1 for Scilab 6

Summary: Toolbox Test 1 for Scilab 6

Version: 1.0

Author: vincent.couvert@scilab-enterprises.com
 antoine.elias@scilab-enterprises.com

Maintainer: Vincent Couvert <vincent.couvert@scilab-enterprises.com>

Category: Tests
 Data Analysis And Statistics - Neural networks

Entity: Scilab Enterprises

WebSite: http://forge.scilab.org/index.php/p/atoms-tests/

URL: http://atoms.scilab.org/toolboxes/toolbox_1V6/1.0

License: Public Domain

ScilabVersion: >= 6.0

Depends: 

Date: 2015-06-04 10:51:09

Description: Test the Atoms system
 
 It contains 4 functions :
 
  - t1_version()
 
  - t1_function1()
  - t1_function2()
  - t1_function3()

=== scilab/modules/call_scilab/tests/nonreg_tests/Makefile ===
#=============================================================================
#Scilab ( https://www.scilab.org/ ) - This file is part of Scilab
#Copyright (C) 2015 - Scilab-Enterprises - Cedric Delamarre
#This file is distributed under the same license as the Scilab package.
#=============================================================================

# These two environment variables must be defined
# export SCI=~/your/install/path/share/scilab
# export LD_LIBRARY_PATH=~/your/install/path/lib/scilab/
# From this directory:
# export SCI=$(pwd)/../../../../../../share/scilab
# export LD_LIBRARY_PATH=$(pwd)/../../../../../../lib/scilab/

# /!\ To avoid "undefined reference to" error with libcurl, delete it from lib/thirdparty /!\
# /!\ Only work with a release due to include and libs path /!\

CC=gcc
EXEC=bug_7601 \
	bug_7602 \
	bug_8115 \
	bug_8830

SRC= $(EXEC:=.c)

CFLAGS= -W -Wall -Werror=implicit-function-declaration \
		-I$(SCI)/../../include/scilab/

LDFLAGS=-L$(SCI)/../../lib/scilab/ \
		-lscicall_scilab \
		-lscilab-cli

all: $(EXEC)

bug_7601: bug_7601.o
	$(CC) -o $@ $^ $(LDFLAGS)

bug_7602: bug_7602.o
	$(CC) -o $@ $^ $(LDFLAGS)

bug_8115: bug_8115.o
	$(CC) -o $@ $^ $(LDFLAGS) -lsciast

bug_8830: bug_8830.o
	$(CC) -o $@ $^ $(LDFLAGS)

%.o: %.c
	$(CC) -o $@ -c $< $(CFLAGS)

.PHONY: clean

clean:
	rm -rf *.o
	rm -rf $(EXEC)

=== scilab/modules/javasci/examples/v2/Makefile ===
# A sample Makefile to build a Javasci v2-based application
# Path to Scilab data
SCI = /path/to/scilab/share/scilab/
# Java API
CLASSPATH = $(SCI)/modules/javasci/jar/org.scilab.modules.javasci.jar:$(SCI)/modules/types/jar/org.scilab.modules.types.jar
# Path to native libs
LIB_PATH = $(SCI)/../../lib/scilab/
# Scilab binary: /path/to/scilab/lib/scilab/
# with the source version: $(SCI)/modules/javasci/.libs/:$(SCI)/modules/.libs/
all:
	javac -cp $(CLASSPATH) Example1.java
	java -cp $(CLASSPATH):. -DSCI=$(SCI) -Djava.library.path=$(LIB_PATH) Example1
	javac -cp $(CLASSPATH) Example2.java
	java -cp $(CLASSPATH):. -DSCI=$(SCI) -Djava.library.path=$(LIB_PATH) Example2

=== debian/changelog ===
scilab (2024.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.0.0+dfsg:
    - Refreshing patches
    - Refreshing the list of files to install in the binary packages
    - Using Debian-packaged jars that are needed by new upstream version
  * debian/rules:
    - Updating the dh_clean rule
    - Enabling dh_dwz again
    - Hiding the build path from the shipped files
    - Ruling out national encoding by converting to UTF-8
    - Honouring DEB_BUILD_OPTIONS=nodoc
  * debian/control:
    - Refreshing (build-)dependencies
    - Removing the alternative B-D on atlas, as it will get removed soon
    - Removing unneeded versioned build-dependency
  * Adding autopkgtests
  * Refreshing d/copyright in a simple version, preparing a shell script for
    possible deeper listing
  * Installing (private) shared libraries in architecture-specific locations
  * Adding XML_CFLAGS to CPPFLAGS for the webtools shared library
  * Excluding .bat and .vcxproj files when repacking
  * Altering build flags to conform to Debian standards for hardening and
    generating debug symbols
  * Adding missing exec codes in .desktop files
  * Providing .metainfo files along the .desktop ones, dropping .appdata.xml
    file
  * Correcting minor spelling mistakes and adding a Lintian overrides for
    false positives it raises
  * Lintian overrides:
    - Removing an obsolete Lintian override for the source package
    - Adding and explaining some Lintian overrides:
      + text files outside of /usr/share/doc
      + unnecessary triggered activation of ldconfig
      + hardening
      + shared libraries lacking prerequisites
      + bad jar name

 -- Pierre Gruet <pgt@debian.org>  Sat, 25 Nov 2023 21:16:10 +0100

scilab (6.1.1+dfsg2-10) unstable; urgency=medium

  * Fixing the clean target (Closes: #1046942)
  * Putting unversioned symlinks to the versioned lucene8 jars in the
    classpath (Closes: #1054551)

 -- Pierre Gruet <pgt@debian.org>  Fri, 10 Nov 2023 17:38:00 +0100

scilab (6.1.1+dfsg2-9) unstable; urgency=medium

  * Reworking the pcre3_to_pcre2 patch so that users can provide patterns with
    delimiters and modifiers again
  * Removing the d/NEWS file as there is no more information to provide about
    changes in the regex pattern syntax

 -- Pierre Gruet <pgt@debian.org>  Tue, 25 Jul 2023 21:46:18 +0200

scilab (6.1.1+dfsg2-8) unstable; urgency=medium

  * Using pcre2 instead of obsolete pcre3 (Closes: #999966)
  * Providing a debian/NEWS file to let users know about the changes in regex
    handling in scilab.
  * Correcting some unmatched/obsolete Lintian overrides
  * Trim trailing whitespace.

 -- Pierre Gruet <pgt@debian.org>  Mon, 24 Jul 2023 10:27:50 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
                fakeroot,
                gfortran,
                javahelper,
+               libarchive-dev,
                libcurl4-openssl-dev,
                libnum-ocaml-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                libxml2-dev,
                pkgconf,
                tcl-dev,
@@ -20,7 +21,7 @@
                tk-dev,
 # numerical libraries
                libarpack2-dev,
-               libblas-dev | libatlas-base-dev,
+               libblas-dev | libblas.so,
                libeigen3-dev,
                liblapack-dev,
 # Java deps
@@ -29,11 +30,13 @@
                libactivation-java,
                libflexdock-java,
                libgl-dev,
+               libjakarta-activation-java,
                libjaxb-java,
                libjgoodies-looks-java,
                libjogl2-java (>= 2.4.0+dfsg),
                libjrosetta-java,
                liblucene8-java,
+               libopenjfx-java,
                libskinlf-java,
 # graphic
                libfreehep-graphicsio-emf-java,
@@ -47,11 +50,11 @@
                libavalon-framework-java,
                libbatik-java,
                libjeuclid-core-java,
-               libsaxon-java,
+               libsaxonhe-java,
                libxml-commons-external-java,
 # Optional Scilab features
                libfftw3-dev,
-               libmatio-dev (>= 1.5.18),
+               libmatio-dev,
                libsuitesparse-dev,
 # latex rendering
                libjlatexmath-fop-java,
@@ -209,6 +212,7 @@
          libfreehep-graphicsio-java,
          libfreehep-graphics2d-java,
          libfreehep-util-java,
+         libjakarta-activation-java,
          libjaxb-java,
          libjeuclid-core-java,
          libjgoodies-looks-java,
@@ -218,7 +222,8 @@
          libjogl2-java (>= 2.4.0+dfsg),
          libjrosetta-java,
          liblucene8-java,
-         libsaxon-java,
+         libopenjfx-java,
+         libsaxonhe-java,
          libskinlf-java,
          scilab-minimal-bin (= ${binary:Version}),
          ${shlibs:Depends},
@@ -301,5 +306,3 @@
 Description: Scientific software package (Brazilian Portuguese documentation)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich
- data structures (including polynomials, rationals, linear systems, lists,
- etc...) and comes with a number of specific toolboxes for

=== debian/rules ===
--- 
+++ 
@@ -169,11 +169,10 @@
 	cp debian/tmp/usr/share/scilab/modules/javasci/jar/org.scilab.modules.javasci.jar $(CURDIR)/debian/scilab-full-bin/usr/share/java/
 	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/scilab/libjavasci2.so*  $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
 
-execute_after_dh_install-arch:
+execute_after_dh_install:
 	# Hiding the build path written in /usr/include/scilab/machine.h
 	sed -i 's/\(ffile-prefix-map=\).*\(=\.\)/\1<builddir>\2/' debian/scilab-include/usr/include/scilab/machine.h
 
-execute_after_dh_install-indep:
 	# Converting encoding to UTF-8 for some files
 	for F in usr/share/scilab/contrib/toolbox_skeleton/toolbox_skeleton_redist.iss usr/share/scilab/modules/graphics/tcl/ged/Axes.tcl; do \
 	    iconv -f ISO_8859-1 debian/scilab-data/$$F > debian/scilab-data/$$F.temp;\

=== debian/tests/control ===
Tests: graphical-sa
Depends: scilab, xvfb, xauth
Restrictions: allow-stderr

Tests: cli-ode
Depends: build-essential, scilab-cli

## scilab 2024.1.0%2Bdfsg

=== DESCRIPTION ===
Toolbox: toolbox_6V6

Title: Toolbox Test 6 for Scilab 6

Summary: Toolbox Test 6 for Scilab 6

Version: 1.0

Author: vincent.couvert@scilab-enterprises.com

Maintainer: Vincent Couvert <vincent.couvert@scilab-enterprises.com>

Category: Tests

Entity: Scilab Enterprises

WebSite: http://forge.scilab.org/index.php/p/atoms-tests/

URL: http://atoms.scilab.org/toolboxes/toolbox_6V6/1.0

License: CeCILL

ScilabVersion: >= 6.0

Depends: >= toolbox_2V6 2.0
 ~ toolbox_1V6 any

Date: 2015-06-04 12:26:04

Description: Test the Atoms system
 
 It contains 4 functions :
  - t1_version()
  - t1_function1()
  - t1_function2()
  - t1_function3()

=== scilab/modules/call_scilab/tests/nonreg_tests/Makefile ===
--- 
+++ 
@@ -18,7 +18,8 @@
 EXEC=bug_7601 \
 	bug_7602 \
 	bug_8115 \
-	bug_8830
+	bug_8830 \
+	bug_11394
 
 SRC= $(EXEC:=.c)
 
@@ -43,6 +44,9 @@
 bug_8830: bug_8830.o
 	$(CC) -o $@ $^ $(LDFLAGS)
 
+bug_11394: bug_11394.o
+	$(CC) -o $@ $^ $(LDFLAGS)
+
 %.o: %.c
 	$(CC) -o $@ -c $< $(CFLAGS)

=== debian/changelog ===
scilab (2024.1.0+dfsg-8build5) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Jan 2026 03:10:40 +0100

scilab (2024.1.0+dfsg-8build4) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Dec 2025 10:01:41 +0100

scilab (2024.1.0+dfsg-8build3) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Nov 2025 08:50:23 +0100

scilab (2024.1.0+dfsg-8build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:57:41 +0100

scilab (2024.1.0+dfsg-8build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Oct 2025 20:50:48 +0100

scilab (2024.1.0+dfsg-8) unstable; urgency=medium

  * Fixing build with gcc-15 by cherry-picking upstream commit
    (Closes: #1097854)

 -- Pierre Gruet <pgt@debian.org>  Sat, 11 Oct 2025 20:16:39 +0200

scilab (2024.1.0+dfsg-7) unstable; urgency=medium

  * Patching code again for libxml2/2.14.5 (Closes: #1106630)
  * Patching ocamlopt invocations to build against ocaml-nul/1.6-1
    (Closes: #1111281)
  * Raising Standards version to 4.7.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Mon, 18 Aug 2025 14:46:07 +0200

scilab (2024.1.0+dfsg-6) unstable; urgency=medium

  * Skipping libxml2 patch until version 2.12.7 enters Debian/unstable again
    (Closes: #1084378)
  * Refreshing patches

 -- Pierre Gruet <pgt@debian.org>  Tue, 08 Oct 2024 22:13:28 +0200

scilab (2024.1.0+dfsg-5) unstable; urgency=medium

  * Team upload
  * Drop macOS-only JFXScilabFileChooser
  * Drop javafx jars from classpath

 -- Bastian Germann <bage@debian.org>  Fri, 13 Sep 2024 16:42:37 +0200

scilab (2024.1.0+dfsg-4) unstable; urgency=medium

  * Enhancing CPPFLAGS to build against HDF5/1.14, thanks to Gilles Filippini

 -- Pierre Gruet <pgt@debian.org>  Fri, 16 Aug 2024 11:54:37 +0200

scilab (2024.1.0+dfsg-3) unstable; urgency=medium

  * Fixing more GCC 14 issues (Closes: #1077424)

 -- Pierre Gruet <pgt@debian.org>  Tue, 06 Aug 2024 11:12:25 +0200

scilab (2024.1.0+dfsg-2) unstable; urgency=medium

  * Building against GCC 14 (Closes: #1075494)

 -- Pierre Gruet <pgt@debian.org>  Thu, 11 Jul 2024 23:23:11 +0200

scilab (2024.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.1.0+dfsg
  * Refreshing patches
  * Solving FTBFS against libxml2/2.12.7+dfsg
  * Skipping the check of the installed version of flexdock when configuring
  * Adding a Lintian override for a file with very long lines
  * Fixing obsolete Lintian override for 'tright' spelling error

 -- Pierre Gruet <pgt@debian.org>  Tue, 04 Jun 2024 00:05:38 +0200

scilab (2024.0.0+dfsg-6) unstable; urgency=medium

  * Raising Standards version to 4.7.0 (no change)
  * Solving implicit declarations (Closes: #1066681)
  * Fixing missing fields in metainfo.xml files

 -- Pierre Gruet <pgt@debian.org>  Mon, 08 Apr 2024 21:48:24 +0200

scilab (2024.0.0+dfsg-5) unstable; urgency=medium

  * Adding a NEWS.debian file in scilab to inform user they might have to
    remove their $HOME/.Scilab directory after the upgrade
  * Excluding s390x from the autopkgtest architectures because of jogl2 issues
    there

 -- Pierre Gruet <pgt@debian.org>  Mon, 27 Nov 2023 21:49:09 +0100

scilab (2024.0.0+dfsg-4) unstable; urgency=medium

  * Fixing the overrides of dh_install and dh_fixperms in -arch and -indep ways
    to reintroduce the changes removed since 2024.0.0+dfsg-2

 -- Pierre Gruet <pgt@debian.org>  Mon, 27 Nov 2023 06:57:20 +0100

scilab (2024.0.0+dfsg-3) unstable; urgency=medium

  * Omitting the override of dh_fixperms as it fails on buildds, not on
    porterboxes.

 -- Pierre Gruet <pgt@debian.org>  Sun, 26 Nov 2023 18:49:40 +0100

scilab (2024.0.0+dfsg-2) unstable; urgency=medium

  * Omitting the conversion from ISO_8859 to UTF-8 as it fails on buildds, yet
    not on porterboxes.

 -- Pierre Gruet <pgt@debian.org>  Sun, 26 Nov 2023 14:33:37 +0100
